Index: /GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.h
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.h	(revision 2176)
+++ /GTP/trunk/Lib/Vis/Preprocessing/src/VssTree.h	(revision 2575)
@@ -493,7 +493,5 @@
   };
   
-  friend bool GreaterContribution(const VssTreeLeaf * a, const VssTreeLeaf *b) {
-	return a->GetAvgRayContribution() > b->GetAvgRayContribution();
-  }
+  friend bool GreaterContribution(const VssTreeLeaf * a, const VssTreeLeaf *b);
   
 };
@@ -504,5 +502,8 @@
   parent(p), axis(-1), depth(p ? p->depth + 1 : 0) {}
 
-
+inline bool GreaterContribution(const VssTreeLeaf * a, const VssTreeLeaf *b) {
+  return a->GetAvgRayContribution() > b->GetAvgRayContribution();
+}
+  
 
 // ---------------------------------------------------------------
Index: /GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.h
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.h	(revision 2569)
+++ /GTP/trunk/Lib/Vis/Preprocessing/src/Mesh.h	(revision 2575)
@@ -268,4 +268,7 @@
 
 	virtual int CastRay(Ray &ray);
+        virtual int CastSimpleRay(const SimpleRay &ray) { return 0;}
+        virtual int CastSimpleRay(const SimpleRay &ray, int IndexRay)
+        { return 0; }
 
 	virtual bool IsConvex() const { return mMesh->mIsConvex; }
